Vector API
Vectors are used everywhere in FreeCAD.
Example:
v=FreeCAD.Vector()
v=FreeCAD.Vector(1,0,0)
v=FreeCAD.Base.Vector()
v2 = FreeCAD.Vector(3,2,-5)
v3 = v.add(v2)
print v3.Length
Description: the distance between the vector and a line through Vector1 in direction Vector2.
Returns: float
Description: a vector to the closest point on a line segment from Vector1 to Vector2.
Returns: Vector
Description: the distance between the vector and a plane defined by a point and a normal.
Returns: float
Description: Checks if the distance between the points represented by this Vector and Vector2 is less than or equal to the given tolerance.
Returns: True/False
Description: Checks if this Vector is normal to Vector2 within the tolerance.
Returns: True/False
Description: Checks if this vector is on the line segment generated by Vector1 and Vector2.
Returns: Vector
Description: Checks if this Vector is parallel to Vector2 within the tolerance.
Returns: True/False
Description: multiplies (uniform scale) a vector by the given factor.
Returns: nothing
Description: projects the vector on a line through Vector1 in direction Vector2.
Returns: nothing
Description: projects the vector on a plane defined by a point (Vector1) and a normal (Vector2).
Returns: nothing
Description: Same as multiply but lets specify different values for x, y and z directions. (non-uniform scale)
Returns: nothing

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub